<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('./head'); %>
    <style>
        .center {
            margin: 20px auto auto auto;
        }
    </style>
</head>
<body>
    <% if(req.originalUrl==`/mongo/register`){ %>
        <%- include("./navbar") %>
        <% }else{ %>
            <%- include("./navbar2") %>
        <% } %>
    <!-- <form action="/register" method="POST">
        <label for="firstName">Firstname: </label>
        <input type="text" name="firstName" id="firstName" placeholder="Enter your firstname" required ><br>
        <label for="lastName">Lastname: </label>
        <input type="text" name="lastName" id="lastName" placeholder="Enter your lastname" required><br>
        <label for="email">Email: </label>
        <input type="email" name="email" id="email" placeholder="Enter your email" required><br>
        <label for="password">password: </label>
        <input type="password" name="password" id="password" placeholder="Enter your password" required><br>
        <label for="genger">Gender: </label>
        <select name="gender" id="gender">
            <option value="male">male</option>
            <option value="female">female</option>
        </select>
        <br>
        <input type="submit" value="Login">
    </form> -->


    <div class="col-md-4 col-md-offset-4 center">
        <% if(req.originalUrl==`/mongo/register`){ %> 
        <form action="/mongo/register" method="POST">
        <% }else{ %>
            <form action="/sql/register" method="POST">
        <% } %>  
            
            <div class="mb-3">
                <label for="firstName" class="form-label">Firstname</label>
                <input type="text" class="form-control" name="firstName" id="firstName" required>
            </div>


            <div class="mb-3">
                <label for="lastName" class="form-label">Lastname</label>
                <input type="text" class="form-control" name="lastName" id="lastName" required>
            </div>

            <div class="mb-3">
                <label for="email" class="form-label">Email address</label>
                <input type="email" class="form-control" name="email" id="email" aria-describedby="emailHelp"  required>
            </div>


            <div class="mb-3">
                <label for="password" class="form-label">Password</label>
                <input type="password" class="form-control" name="password" id="password" required>
            </div>

            <select class="form-select" name="gender" id="gender">
                <option value="male">male</option>
                <option value="female">female</option>
            </select>
            <br>

            <button type="submit" class="btn btn-outline-primary">Register</button>
        </form>
    </div>

</body>
</html>